complexType "CommodityBusinessCalendarTime"

Namespace: | http://www.fpml.org/FpML-5/recordkeeping
Content: | complex, 3 elements
Defined: | globally in fpml-asset-5-3.xsd; see XML source
Includes: | definitions of 3 elements
Used: | never

Content Model Diagram

XML Representation Summary
<...>
Content: | hourMinuteTime?, timeZone?, businessCalendar?
</...>

Content Model Elements (3):

  businessCalendar (defined in CommodityBusinessCalendarTime complexType),
  hourMinuteTime (defined in CommodityBusinessCalendarTime complexType),
  timeZone

Annotation
Specifies the time with respect to a commodity business calendar.
XML Source (w/o annotations (4); see within schema source)

<xsd:complexType name="CommodityBusinessCalendarTime"> <xsd:sequence> <xsd:element minOccurs="0" name="hourMinuteTime" type="HourMinuteTime"/> <xsd:element minOccurs="0" name="timeZone" type="TimeZone"/> <xsd:element minOccurs="0" name="businessCalendar" type="CommodityBusinessCalendar"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 3/3)
businessCalendar

  Type: | CommodityBusinessCalendar, simple content

  Identifies a commodity business day calendar.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="businessCalendar" type="CommodityBusinessCalendar"/>

hourMinuteTime

  Type: | HourMinuteTime, simple content

  A time specified as Hour Ending in hh:mm:ss format where the second component must be '00', e.g. 11am would be represented as 11:00:00.
  Simple Content

  xsd:time

  Pattern: | [0-2][0-9]:[0-5][0-9]:00

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="hourMinuteTime" type="HourMinuteTime"/>

timeZone

  Type: | TimeZone, simple content

  An identifier for a specific location or region which translates into a combination of rules for calculating the UTC offset.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="timeZone" type="TimeZone"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.